Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.search.parse
Interface CommandWord

All Superinterfaces:
  Word

All Known Implementing Classes:
  AddCommandWord, BlurCommandWord, DefaultWord, RemoveCommandWord, RetainCommandWord

    public interface CommandWord

extends Word

CommandWord extends Word to allow actions that alter a base Passage. Implementations of this interface may use the Searcher to get at a default Bible (or they may have one hard coded if necessary) or to get at ParamWords that follow this command.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: CommandWord.java,v 1.7 2004/09/29 22:21:23 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Method Summary
`void` | `updatePassage(IndexSearcher engine, Key ref)` Alter a Passage in whatever manner is appropriate for this command.

Method Detail

### updatePassage

    void updatePassage(IndexSearcher engine,
                       Key ref)
                       throws BookException

  Alter a Passage in whatever manner is appropriate for this command. For example the "~" command does something like this: `ref.blur(engine.elements.next.getWord);` The "&" command looks like this: `ref.addAll(engine.elements.next.getPassage);`

  Parameters:
    `engine` - The controller that can provide access to the search string or a default Bible.
    `ref` - The Passage to alter (if necessary)
  Throws:
    `BookException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD